import { IVpc } from '@aws-cdk/aws-ec2';
import { Construct } from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface ElastiCacheStackProps {
    /**
     * @stability stable
     */
    readonly numberofnodegroups: number;
    /**
     * @stability stable
     */
    readonly vpc: IVpc;
}
/**
 * @stability stable
 */
export declare class ElastiCacheStack extends Construct {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, props: ElastiCacheStackProps);
}
