import { AutoScalingGroup } from '@aws-cdk/aws-autoscaling';
import { Cluster } from '@aws-cdk/aws-eks';
import { Construct } from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface SecretsManagerProps {
    /**
     * @stability stable
     */
    readonly cluster: Cluster;
    /**
     * @stability stable
     */
    readonly nodegroup: AutoScalingGroup;
    /**
     * @stability stable
     */
    readonly namespace: string;
}
/**
 * @stability stable
 */
export declare class SecretsManager extends Construct {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, props: SecretsManagerProps);
}
