import { Cluster } from '@aws-cdk/aws-eks';
import { Construct } from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface TelemetryProps {
    /**
     * @stability stable
     */
    readonly cluster: Cluster;
    /**
     * @stability stable
     */
    readonly namespace: string;
}
/**
 * @stability stable
 */
export declare class Telemetry extends Construct {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, props: TelemetryProps);
}
